Skip to content

calls.create

Create a run for an agent (voice, text or web).

Creates a test execution of the workflow. No outbound call is placed — this is useful for validating agent behavior, checking prompt outputs, and testing tool integrations before going live.

Reference

POST/api/v1/workflows/{workflow_id}/runs

Auth
API key in X-API-Key
Content
application/json
Returns
200 · CreateWorkflowRunResponse

Create a new workflow run when the user decides to execute the workflow via chat or voice Args: workflow_id: The ID of the workflow to run request: The create workflow run request user: The user to create the workflow run for

Arguments

ArgumentInTypeRequiredDescription
workflow_idpathintegerrequired
modebodystringrequired
namebodystringrequired

Example request

curl -X POST "https://api.decibyl.ai/api/v1/workflows/<workflow_id>/runs" \
  -H "X-API-Key: dcb_your_key" \
  -H "Content-Type: application/json" \
  -d '{"mode":"string","name":"string"}'

Response

{
  "id": 1,
  "workflow_id": 1,
  "name": "string",
  "mode": "string",
  "created_at": "2026-09-14T09:30:00Z",
  "definition_id": 1,
  "initial_context": {}
}

Errors

StatusWhen
404Not found
422Validation Error